local mapinfo = {
   name        = "French Flag",
   shortname   = "FrenchFlagTest3",
   description = "Two possibilities exist: Either we are alone in the Universe or we are not. Both are equally terrifying. - Aurther C. Clarke. Fixed for ZK:Latest.",
   author      = "_Shaman",
   version     = "v1.58",
   --mutator   = "deployment";
   mapfile   = "maps/french_flag_test.smf", --// location of smf/sm3 file, should be set
   modtype     = 3, --// 1=primary, 0=hidden, 3=map
   depend      = {},
   replace     = {},

   --startpic   = "", --// deprecated
   --StartMusic = "", --// deprecated

   maphardness     = 100,
   notDeformable   = false,
   gravity         = 62,
   tidalStrength   = 1337,
   maxMetal        = 30.00,
   extractorRadius = 10.0,
   voidWater       = false,
   autoShowMetal   = true,

   smf = {
      MinHeight = 10,
      MaxHeight = 195,
      smtFileName0 = "maps/french_flag_test.smt",
   },

   --sound = {
   --   ...
   --},

   --resources = {
   --   ...
   --},

   --splats = {
   --   ...
   --},

   atmosphere = {
      minWind      = 5.0,
      maxWind      = 25.0,
      CloudColor = {0.9, 0.9, 0.9},
      CloudDensity = 0.25,
      SkyBox = "cloudysunset.dds",
      SkyColor = {0.1, 0.67, 0.1},
      SunColor = {1, 1, 1},
   },

   --grass = {
   --   ...
   --},

   lighting = {
      sunStartAngle = 0.0,
      sunOrbitTime  = 1440.0,
      sunDir        = {0.0, 1.0, 2.0},
      groundAmbientColor  = {0.15, 0.15, 0.15},
      groundDiffuseColor  = {0.75, 0.75, 0.75},
      groundSpecularColor = {0.1, 0.1, 0.1},
      groundShadowDensity = 0.8,
      unitAmbientColor    = {0.4, 0.4, 0.4},
      unitDiffuseColor    = {0.7, 0.7, 0.7},
      unitSpecularColor   = {0.7, 0.7, 0.7},
      unitShadowDensity   = 0.8,
      specularExponent    = 100.0,
   },

   water = {
      damage =  0.0,

      repeatX = 0.0,
      repeatY = 0.0,

      absorb    = {0.0, 0.0, 0.0},
      baseColor = {0.0, 0.0, 0.0},
      minColor  = {0.0, 0.0, 0.0},

      ambientFactor  = 1.0,
      diffuseFactor  = 1.0,
      specularFactor = 1.0,
      specularPower  = 20.0,

      planeColor = {0.0, 0.4, 0.0},

      surfaceColor  = {0.75, 0.8, 0.85},
      surfaceAlpha  = 0.55,
      diffuseColor  = {1.0, 1.0, 1.0},
      specularColor = {0.5, 0.5, 0.5},

      fresnelMin   = 0.2,
      fresnelMax   = 0.8,
      fresnelPower = 4.0,

      reflectionDistortion = 1.0,

      blurBase      = 2.0,
      blurExponent = 1.5,

      perlinStartFreq  =  8.0,
      perlinLacunarity = 3.0,
      perlinAmplitude  =  0.9,
      windSpeed = 1.0, --// does nothing yet

      shoreWaves = true,
      forceRendering = false,
   },

   teams = {
      [0] = {startPos = {x = 64, z = 2000}},
      [1] = {startPos = {x = 64, z = 2000}}
    },

   terrainTypes = {
      [0] = {
      name = France;
      hardness = 1.4;
      recievetracks = 1;
      tankmovespeed = 1.2;
      kbotmovespeed = 1.2;
      hovermovespeed = 90.0;
      shipmovespeed = 2.0;
   }
   },

   --custom = {
   --   ...
   --},
}

--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
-- Helper

local function lowerkeys(ta)
	local fix = {}
	for i,v in pairs(ta) do
		if (type(i) == "string") then
			if (i ~= i:lower()) then
				fix[#fix+1] = i
			end
		end
		if (type(v) == "table") then
			lowerkeys(v)
		end
	end
	
	for i=1,#fix do
		local idx = fix[i]
		ta[idx:lower()] = ta[idx]
		ta[idx] = nil
	end
end

lowerkeys(mapinfo)

--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
-- Map Options

if (Spring and Spring.GetMapOptions) then
	local function tmerge(t1, t2)
		for i,v in pairs(t2) do
			if (type(v) == "table") then
				t1[i] = t1[i] or {}
				tmerge(t1[i], v)
			else
				t1[i] = v
			end
		end
	end

	getfenv()["mapinfo"] = mapinfo
		local files = VFS.DirList("mapconfig/mapinfo/", "*.lua")
		table.sort(files)
		for i=1,#files do
			local newcfg = VFS.Include(files[i])
			if newcfg then
				lowerkeys(newcfg)
				tmerge(mapinfo, newcfg)
			end
		end
	getfenv()["mapinfo"] = nil
end

--------------------------------------------------------------------------------
--------------------------------------------------------------------------------

return mapinfo

--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
