unitDef = {
  unitname            = [[alienkoda]],
  name                = [[Alien Volcano]],
  description         = [[It spits fire..]],
  acceleration        = 0.125,
  brakeRate           = 0.1375,
  buildCostMetal      = 320,
  builder             = false,
  buildPic            = [[tankraid.png]],
  canGuard            = true,
  canMove             = true,
  canPatrol           = true,
  category            = [[LAND]],
  cruiseAlt           = 70,
  selectionVolumeOffsets = [[0 0 0]],
  selectionVolumeScales  = [[42 42 42]],
  selectionVolumeType    = [[ellipsoid]],
  corpse              = [[DEAD]],

  customParams        = {
    fireproof      = [[1]],
	helptext = "ALIENS! They like fire and long range units.. so they made this... thing.",
	specialreloadtime = [[850]],
    aimposoffset      = [[0 5 0]],
  },
  hoverAttack         = true,
  airStrafe           = false,
  bankingAllowed      = true,
  airHoverFactor      = 0.5,
  collide = true,
  canFly = true,
  canSubmerge = false,
  explodeAs           = [[BIG_UNITEX]],
  footprintX          = 3,
  footprintZ          = 3,
  iconType            = [[tankscout]],
  idleAutoHeal        = 15,
  idleTime            = 150,
  leaveTracks         = true,
  maxDamage           = 1500,
  maxVelocity         = 4.2,
  maxWaterDepth       = 22,
  minCloakDistance    = 75,
  movementClass       = [[TANK3]],
  noAutoFire          = false,
  noChaseCategory     = [[TERRAFORM FIXEDWING SATELLITE SUB]],
  objectName          = [[logkoda.s3o]],
  script              = [[tankraid.lua]],
  selfDestructAs      = [[BIG_UNITEX]],
  sightDistance       = 600,
  trackOffset         = 6,
  trackStrength       = 5,
  trackStretch        = 1,
  trackType           = [[StdTank]],
  trackWidth          = 30,
  turninplace         = 0,
  turnRate            = 750,
  workerTime          = 0,

  weapons             = {

    {
      def                = [[NAPALM_BOMBLET]],
      badTargetCategory  = [[GUNSHIP]],
      onlyTargetCategory = [[LAND SINK TURRET SHIP SWIM FLOAT HOVER GUNSHIP]],
    },
	
	--{
    --  def                = [[BOGUS_FAKE_NAPALM_BOMBLET]],
    --  badTargetCategory  = [[GUNSHIP]],
    --  onlyTargetCategory = [[]],
    --},

  },


  weaponDefs          = {

    NAPALM_BOMBLET = {
      name                    = [[ALIEN Fire]],
      accuracy				  = 1800,
      areaOfEffect            = 192,
      avoidFeature            = true,
      avoidFriendly           = true,
      burnblow                = true,
      burst		      = 3,
      projectiles = 7,
      burstRate		      = 0.75,
      cegTag                  = [[flamer]],
      craterBoost             = 0,
      craterMult              = 0,
	sprayangle              = 2700,

	  customParams        	  = {
	    setunitsonfire = "1",
		burnchance     = "1",
		burntime       = 600,

		area_damage = 1,
		area_damage_radius = 96,
		area_damage_dps = 15,
		area_damage_duration = 10,
		
		light_color = [[1.6 0.8 0.32]],
		light_radius = 320,
	  },
	  
      damage                  = {
        default = 100,
        planes  = 100,
        subs    = 100,
      },

      explosionGenerator      = [[custom:napalm_koda]],
      fireStarter             = 100,
      flameGfxTime            = 0.1,
      impulseBoost            = 50,
      impulseFactor           = 1.5,
      interceptedByShieldType = 1,
      --model                   = [[wep_b_fabby.s3o]],
	  --myGravity               = 0.7,
      trajectoryHeight        = 0.01,
      noSelfDamage            = true,
      range                   = 1225,
      reloadtime              = 9,
      soundHit                = [[explosion/ex_med6]],
      soundHitVolume          = 4,
      soundStart              = [[weapon/cannon/cannon_fire3]],
      soundStartVolume        = 3,
      turret                  = true,
      weaponType              = [[Cannon]],
      weaponVelocity          = 300,
    },
	
	BOGUS_FAKE_NAPALM_BOMBLET = {
      name                    = [[Fake Flame Bomb]],
	  accuracy				  = 1000,
      areaOfEffect            = 64,
	  canattackground         = false,
      craterBoost             = 0,
      craterMult              = 0,
      cegTag                  = [[flamer]],

	  customParams        	  = {
	    setunitsonfire = "1",
		burnchance = 0.8,
		burntime = 600,
	  },
	  
      damage                  = {
        default = 20,
        planes  = 20,
        subs    = 1,
      },

      explosionGenerator      = [[custom:napalm_koda_small]],
      fireStarter             = 65,
      flameGfxTime            = 0.1,
	  flightTime              = 0.1,
      impulseBoost            = 0,
      impulseFactor           = 0.2,
      interceptedByShieldType = 2,
      --model                   = [[wep_b_fabby.s3o]],
	  myGravity               = 0.5,
      projectiles             = 1,
      range                   = 0,
      reloadtime              = 6,
      smokeTrail              = true,
      soundHit                = [[explosion/ex_med6]],
      soundHitVolume          = 4,
      soundStart              = [[weapon/cannon/cannon_fire3]],
      --soundStartVolume        = 2,
	  soundTrigger			  = false,
      sprayangle              = 800,
      startVelocity           = 10,
      texture2                = [[darksmoketrail]],
	  tracks                  = false,
      trajectoryHeight        = 0.2,
	  turnrate                = 500,
      turret                  = true,
      weaponAcceleration      = 190,
      weaponType              = [[MissileLauncher]],
      weaponVelocity          = 10,
    },

  },


  featureDefs         = {

    DEAD = {
      blocking         = true,
      featureDead      = [[HEAP]],
      footprintX       = 2,
      footprintZ       = 2,
      object           = [[logkoda_dead.s3o]],
    },


    HEAP = {
      blocking         = false,
      footprintX       = 2,
      footprintZ       = 2,
      object           = [[debris2x2c.s3o]],
    },

  },

}

return lowerkeys({ alienkoda = unitDef })