unitDef = {
  unitname            = [[malflyingcom]],
  name                = [[Alien Infused Support Commander]],
  description         = [[Floating Support Bot]],
  acceleration        = 0.25,
  activateWhenBuilt   = true,
  brakeRate           = 0.45,
  buildCostMetal      = 1800,
  buildDistance       = 232,
  builder             = true,
  buildPic            = [[commsupport.png]],
  canGuard            = true,
  canMove             = true,
  canPatrol           = true,
  collisionVolumeOffsets = [[0 0 0]],
  collisionVolumeScales  = [[45 50 45]],
  collisionVolumeType    = [[CylY]],  
  corpse              = [[DEAD]],
  category            = [[LAND]],
  hoverAttack         = true,
  airStrafe           = false,
  bankingAllowed      = true,
  airHoverFactor      = 0.5,
  collide = true,
  canFly = true,
  canSubmerge = false,
  
  customParams        = {
	helptext       = [[Aliens aliens aliens.Aliens aliens aliens.Aliens aliens aliens.Aliens aliens aliens.Aliens aliens aliens.Aliens aliens aliens.Aliens aliens aliens.Aliens aliens aliens. ALIENS! I KNOW THEY EXIST]],
    soundok = [[heavy_bot_move]],
    soundselect = [[bot_select]],
    soundbuild = [[builder_start]],
	modelradius    = [[25]],
    aimposoffset   = [[0 15 0]],
  },

  energyStorage       = 500,
  energyUse           = 0,
  explodeAs           = [[ESTOR_BUILDINGEX]],
  footprintX          = 2,
  footprintZ          = 2,
  iconType            = [[commander1]],
  idleAutoHeal        = 30,
  idleTime            = 0,
  leaveTracks         = false,
  losEmitHeight       = 40,
  cruiseAlt           = 10,
  maxDamage           = 3500,
  maxVelocity         = 3.8,
  metalStorage        = 500,
  minCloakDistance    = 300,
  noChaseCategory     = [[TERRAFORM FIXEDWING GUNSHIP HOVER SHIP SWIM SUB LAND FLOAT SINK TURRET]],
  objectName          = [[cremcom.s3o]],
  script              = [[cremcom.lua]],
  selfDestructAs      = [[ESTOR_BUILDINGEX]],

  sfxtypes            = {

    explosiongenerators = {
      [[custom:flashmuzzle1]],
	  [[custom:NONE]],
	  [[custom:NONE]],
	  [[custom:NONE]],
	  [[custom:NONE]],
	  [[custom:NONE]],
    },

  },

  showNanoSpray       = false,
  sightDistance       = 500,
  sonarDistance       = 500,
  trackWidth          = 22,
  turnRate            = 1350,
  upright             = true,
  workerTime          = 30,

weapons                = {

    [1] = {
      def                = [[FAKELASER]],
      badTargetCategory  = [[FIXEDWING]],
      onlyTargetCategory = [[FIXEDWING LAND SINK TURRET SHIP SWIM FLOAT GUNSHIP HOVER]],
    },


    [5] = {
      def                = [[LASER]],
      badTargetCategory  = [[FIXEDWING]],
      onlyTargetCategory = [[FIXEDWING LAND SINK TURRET SHIP SWIM FLOAT GUNSHIP HOVER]],
    },

},
  
  weaponDefs             = {

    LASER = {
      name                    = [[ALIEN Repeater Rifle]],
      alphaDecay              = 0.12,
      areaOfEffect            = 16,
      bouncerebound           = 0.15,
      bounceslip              = 1,
      cegTag                  = [[gauss_tag_l]],
      craterBoost             = 0,
      craterMult              = 0,
	  burst                   = 3,
      burstrate               = 0.5,

      damage                  = {
        default = 500,
        planes  = 500,
        subs    = 500,
      },

      explosionGenerator      = [[custom:spectre_hit]],
      groundbounce            = 1,
      impactOnly              = true,
      impulseBoost            = 0,
      impulseFactor           = 0,
      interceptedByShieldType = 1,
      noExplode               = true,
      numbounce               = 40,
      range                   = 650,
      reloadtime              = 7,
      rgbColor                = [[1 0.2 0.2]],
      separation              = 0.5,
      size                    = 3.0,
      sizeDecay               = -0.1,
      soundHit                = [[weapon/laser/heavy_laser6]],
      soundStart              = [[weapon/gauss_fire]],
      sprayangle              = 1500,
      stages                  = 32,
      turret                  = true,
      waterbounce             = 1,
      weaponType              = [[Cannon]],
      weaponVelocity          = 2400,
    },
    FAKELASER     = {
      name                    = [[Fake Laser]],
      areaOfEffect            = 12,
      beamTime                = 0.1,
      coreThickness           = 0.5,
      craterBoost             = 0,
      craterMult              = 0,

      damage                  = {
        default = 0,
        subs    = 0,
      },

      duration                = 0.11,
      edgeEffectiveness       = 0.99,
      explosionGenerator      = [[custom:flash1green]],
      fireStarter             = 70,
      impactOnly              = true,
      impulseBoost            = 0,
      impulseFactor           = 0.4,
      interceptedByShieldType = 1,
      largeBeamLaser          = true,
      laserFlareSize          = 5.53,
      minIntensity            = 1,
      noSelfDamage            = true,
      range                   = 300,
      reloadtime              = 0.11,
      rgbColor                = [[0 1 0]],
      soundStart              = [[weapon/laser/laser_burn5]],
      soundTrigger            = true,
      texture1                = [[largelaser]],
      texture2                = [[flare]],
      texture3                = [[flare]],
      texture4                = [[smallflare]],
      thickness               = 5.53,
      tolerance               = 10000,
      turret                  = true,
      weaponType              = [[BeamLaser]],
      weaponVelocity          = 900,
},
},
  
  featureDefs         = {

    DEAD      = {
      blocking         = true,
      featureDead      = [[HEAP]],
      footprintX       = 2,
      footprintZ       = 2,
      object           = [[commsupport_dead.s3o]],
    },

    HEAP      = {
      blocking         = false,
      footprintX       = 2,
      footprintZ       = 2,
      object           = [[debris2x2c.s3o]],
    },

  },

}

return lowerkeys({ malflyingcom = unitDef })