unitDef = {
  unitname                      = [[pylondrone]],
  name                          = [[Protoss Pylon]],
  description                   = [[You must construct additional Pylons]],
  acceleration                  = 5,
  activateWhenBuilt             = true,
  brakeRate                     = 5,
  buildAngle                    = 4096,
  buildCostEnergy               = 200,
  buildCostMetal                = 200,
  builder                       = false,
  canMove = true,
  buildingGroundDecalDecaySpeed = 30,
  buildingGroundDecalSizeX      = 5,
  buildingGroundDecalSizeY      = 5,
  buildingGroundDecalType       = [[armestor_aoplane.dds]],
  buildPic                      = [[energypylon.png]],
  buildTime                     = 200,
  category                      = [[GUNSHIP]],
  upright			= false,
  cruisealt			= 50,
  collisionVolumeOffsets        = [[0 0 0]],
  collisionVolumeScales         = [[48 48 48]],
  collisionVolumeTest           = 1,
  collisionVolumeType           = [[ellipsoid]],
  corpse                        = [[DEAD]],
  selfDestructCountdown  = 0,
  kamikaze               = true,
  kamikazeDistance       = 200,
  kamikazeUseLOS         = true,
  --initCloaked            = true,
  --decloakOnFire          = false,
  --cloakCost              = 6,
  hoverAttack         = true,
  airStrafe           = false,
  bankingAllowed      = true,
  airHoverFactor      = 0.5,
  collide = true,
  canFly = true,
  canMove = true,
  canSubmerge = false,

  customParams                  = {
    helptext       = [[Our gateway has no power. We must build a pylon near it so that our forces can be brought to this place. You have not enough minerals. You require more vespene gas. You have not enough pylons.]],
	aimposoffset   = [[0 0 0]],
	midposoffset   = [[0 -6 0]],
	modelradius    = [[24]],
  },

  explodeAs                     = [[PYLONS]],
  footprintX                    = 3,
  footprintZ                    = 3,
  iconType                      = [[pylon]],
  idleAutoHeal                  = 5,
  idleTime                      = 1800,
  levelGround                   = false,
  mass                          = 1666,
  maxDamage                     = 1000,
  maxVelocity                   = 4.8,
  minCloakDistance              = 70,
  noAutoFire                    = false,
  objectName                    = [[armestor.s3o]],
  seismicSignature              = 4,
  selfDestructAs                = [[PYLONS]],
  side                          = [[ARM]],
  sightDistance                 = 273,
  smoothAnim                    = true,
  turnRate                      = 0,
  useBuildingGroundDecal        = true,
  workerTime                    = 0,
  script                        = [[energypylon.cob]],

  featureDefs                   = {

    DEAD  = {
      description      = [[Wreckage - Energy Transmission Pylon]],
      blocking         = true,
      category         = [[corpses]],
      damage           = 1000,
      energy           = 0,
      featureDead      = [[HEAP]],
      featurereclamate = [[SMUDGE01]],
      footprintX       = 4,
      footprintZ       = 4,
      height           = [[35]],
      hitdensity       = [[100]],
      metal            = 80,
      object           = [[ARMESTOR_DEAD.s3o]],
      reclaimable      = true,
      reclaimTime      = 80,
      seqnamereclamate = [[TREE1RECLAMATE]],
      world            = [[All Worlds]],
    },


    HEAP  = {
      description      = [[Debris - Energy Transmission Pylon]],
      blocking         = false,
      category         = [[heaps]],
      damage           = 1000,
      energy           = 0,
      featurereclamate = [[SMUDGE01]],
      footprintX       = 4,
      footprintZ       = 4,
      height           = [[4]],
      hitdensity       = [[100]],
      metal            = 40,
      object           = [[debris4x4b.s3o]],
      reclaimable      = true,
      reclaimTime      = 40,
      seqnamereclamate = [[TREE1RECLAMATE]],
      world            = [[All Worlds]],
    },
  },
}

local weaponDefs = {
  PYLONS = {
    areaOfEffect       = 400,
    craterBoost        = 20,
    craterMult         = 4.5,
    edgeEffectiveness  = 0.4,
    explosionGenerator = "custom:NUKE_150",
    explosionSpeed     = 500,
    impulseBoost       = 700,
    impulseFactor      = 7.0,
    name               = "Explosion",
    soundHit           = "bigexplo.ogg",
    damage = {
      default          = 1000,
    },
  },
}
unitDef.weaponDefs = weaponDefs
return lowerkeys({ pylondrone = unitDef })